Subject: Re: bug#39893: 27.0.90; cannot turn on orgtbl

From: Tak Kunihiro <[email-masked]>
Date: Thu, 5 Mar 2020 08:17:46 +0900

I cannot call turn-on-orgtbl without (require ‘org) on 27.0.90.
I can call turn-on-orgtbl without (require ‘org) on 26.3.

Thus I thought something unexpected happen.  If it is expected
behavior, I think it’s okay.

$ emacs —version
GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G2022)) of 2020-01-23
$ emacs -Q
(turn-on-orgtbl) ;=> t

> On Mar 5, 2020, at 01:04 , Noam Postavsky <[email-masked]> wrote:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>>> I cannot call turn-on-orgtbl without (require 'org).
>>> It is autoload function.  I guess this is bug.
>> 
>> Is it?  The autoloads from the org-*.el files go to org-loaddefs.el,
>> which is loaded by org.el.  So this looks to me correct and expected.
> 
> I think it's mainly a problem with the *Help* display causing wrong
> expectations, see also Bug#26782 "describe-function and autoloads not in
> main loaddefs" and Bug#33901 "cl-letf is unexpectedly not autoloaded".
> 
> https://debbugs.gnu.org/26782
> https://debbugs.gnu.org/33901

> On Mar 4, 2020, at 17:11 , Tak Kunihiro <[email-masked]> wrote:
> 
> I cannot call turn-on-orgtbl without (require 'org).
> It is autoload function.  I guess this is bug.
> 
> $ emacs --version
> GNU Emacs 27.0.90 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G3020)) of 2020-03-04
> $ emacs -Q
> (turn-on-orgtbl) ;=> progn: Symbol’s function definition is void: turn-on-orgtbl
> (require 'org-table) 
> (turn-on-orgtbl) ;=> orgtbl-mode: Symbol’s function definition is void: org-load-modules-maybe
> (require 'org)
> (turn-on-orgtbl) ;=> t